---------------------
PatchSet 120 
Date: 2002/11/02 10:34:58
Author: rbcollins
Branch: esi
Tag: (none) 
Log:
more method creation

Members: 
	src/ESI.cc:1.1.2.28->1.1.2.29 

Index: squid3/src/ESI.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESI.cc,v
retrieving revision 1.1.2.28
retrieving revision 1.1.2.29
diff -u -r1.1.2.28 -r1.1.2.29
--- squid3/src/ESI.cc	2 Nov 2002 10:27:23 -0000	1.1.2.28
+++ squid3/src/ESI.cc	2 Nov 2002 10:34:58 -0000	1.1.2.29
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESI.cc,v 1.1.2.28 2002/11/02 10:27:23 rbcollins Exp $
+ * $Id: ESI.cc,v 1.1.2.29 2002/11/02 10:34:58 rbcollins Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -89,18 +89,6 @@
  */
 
 /* esi variable replacement logic */
-typedef enum {
-    ESI_OS_WIN,
-    ESI_OS_MAC,
-    ESI_OS_UNIX,
-    ESI_OS_OTHER
-} esiUserOs_t;
-
-static char const * esiUserOs[]=
-   {"WIN",
-    "MAC",
-    "UNIX",
-    "OTHER"};
 
 typedef enum {
     ESI_BROWSER_MSIE,
@@ -145,17 +133,30 @@
 	int referer:1;
 	int useragent:1;
     } flags;
-    esiUserOs_t UserOs;
     esiBrowser_t browser;
     char *browserversion;
 private:
     void doIt ();
     void eval (esiVar_t type, char const *, char const *);
+    enum esiUserOs_t{
+	ESI_OS_WIN,
+	ESI_OS_MAC,
+	ESI_OS_UNIX,
+	ESI_OS_OTHER
+    } UserOs;
+    static char const * esiUserOs[];
 };
 CBDATA_TYPE (esiVarState);
 FREE esiVarStateFree;
 static esiVarState *esiVarStateNew(HttpHeader const *, const char *uri);
 
+char const *esiVarState::esiUserOs[]= {
+    "WIN",
+    "MAC",
+    "UNIX",
+    "OTHER"
+};
+
 static void esiVarStateFeedData (esiVarState *, const char *buf, size_t len);
 static void esiVarBuildVary (esiVarState *, HttpReply *);
 static char *esiGetProductVersion (char const *s);
